# Retrieve a list of ATS job postings

GET https://api.letsdeel.com/rest/v2/ats/job-boards/{job_board_id}/job-postings

Retrieves a list of all job postings in the Applicant Tracking System. Results can be filtered by query parameters.
 **Token scopes**: `ats:read`

Reference: https://developer.deel.com/api/reference/endpoints/ats/retrieve-a-list-of-ats-job-postings

## OpenAPI Specification

```yaml
openapi: 3.1.0
info:
  title: Deel HRIS SCIM API
  version: 1.0.0
paths:
  /ats/job-boards/{job_board_id}/job-postings:
    get:
      operationId: retrieve-a-list-of-ats-job-postings
      summary: Retrieve a list of ATS job postings
      description: >-
        Retrieves a list of all job postings in the Applicant Tracking System.
        Results can be filtered by query parameters.
         **Token scopes**: `ats:read`
      tags:
        - subpackage_ats
      parameters:
        - name: job_board_id
          in: path
          description: Job Board ID must be a valid UUID
          required: true
          schema:
            type: string
            format: uuid
        - name: cursor
          in: query
          description: The cursor for pagination (optional)
          required: false
          schema:
            type: string
        - name: limit
          in: query
          description: Maximum number of records returned in one response (optional)
          required: false
          schema:
            type: integer
            default: 20
        - name: Authorization
          in: header
          description: >
            ## Authentication

            The Deel API uses bearer tokens to authenticate requests. All API
            calls must be made over HTTPS — calls over plain HTTP or without
            authentication will fail.


            ```curl

            curl -X GET 'https://api.letsdeel.com/rest/v2/contracts' \
              -H 'Authorization: Bearer YOUR-TOKEN-HERE'
            ```


            [Learn more about authentication](/api/authentication)
          required: true
          schema:
            type: string
      responses:
        '200':
          description: Successful operation.
          content:
            application/json:
              schema:
                $ref: >-
                  #/components/schemas/ATS_retrieveAListOfAtsJobPostings_Response_200
        '400':
          description: Operation failed.
          content:
            application/json:
              schema:
                type: array
                items:
                  $ref: >-
                    #/components/schemas/AtsJobBoardsJobBoardIdJobPostingsGetResponsesContentApplicationJsonSchemaItems
        '401':
          description: Operation failed.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ApiErrorContainer'
        '403':
          description: Operation failed.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ApiErrorContainer'
        '404':
          description: Operation failed.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ApiErrorContainer'
        '500':
          description: Operation failed.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ApiErrorContainer'
servers:
  - url: https://api.letsdeel.com/rest/v2
  - url: https://api-staging.letsdeel.com/rest/v2
components:
  schemas:
    AtsJobBoardsJobBoardIdJobPostingsGetResponsesContentApplicationJsonSchemaDataItemsJobJobTeamsItemsTeam:
      type: object
      properties:
        id:
          type: string
          format: uuid
          description: Unique identifier for the team
        name:
          type: string
          description: Team name
      required:
        - id
        - name
      description: Details for the team assigned to the job
      title: >-
        AtsJobBoardsJobBoardIdJobPostingsGetResponsesContentApplicationJsonSchemaDataItemsJobJobTeamsItemsTeam
    AtsJobBoardsJobBoardIdJobPostingsGetResponsesContentApplicationJsonSchemaDataItemsJobJobTeamsItems:
      type: object
      properties:
        id:
          type: string
          format: uuid
          description: Unique identifier for the job team
        team:
          $ref: >-
            #/components/schemas/AtsJobBoardsJobBoardIdJobPostingsGetResponsesContentApplicationJsonSchemaDataItemsJobJobTeamsItemsTeam
          description: Details for the team assigned to the job
      required:
        - id
        - team
      title: >-
        AtsJobBoardsJobBoardIdJobPostingsGetResponsesContentApplicationJsonSchemaDataItemsJobJobTeamsItems
    AtsJobBoardsJobBoardIdJobPostingsGetResponsesContentApplicationJsonSchemaDataItemsJobCompensation:
      type: object
      properties:
        id:
          type: string
          format: uuid
          description: Unique identifier for the compensation record
        max_amount:
          type:
            - number
            - 'null'
          format: double
          description: Maximum compensation amount
        min_amount:
          type:
            - number
            - 'null'
          format: double
          description: Minimum compensation amount
        currency_iso_code:
          type: string
          description: Currency ISO code for the compensation
      required:
        - id
        - currency_iso_code
      description: Compensation information for the job
      title: >-
        AtsJobBoardsJobBoardIdJobPostingsGetResponsesContentApplicationJsonSchemaDataItemsJobCompensation
    AtsJobBoardsJobBoardIdJobPostingsGetResponsesContentApplicationJsonSchemaDataItemsJobJobLocationsItemsLocation:
      type: object
      properties:
        id:
          type: string
          format: uuid
          description: Unique identifier for the location
        name:
          type: string
          description: Location name
      required:
        - id
        - name
      description: Details for the location assigned to the job
      title: >-
        AtsJobBoardsJobBoardIdJobPostingsGetResponsesContentApplicationJsonSchemaDataItemsJobJobLocationsItemsLocation
    AtsJobBoardsJobBoardIdJobPostingsGetResponsesContentApplicationJsonSchemaDataItemsJobJobLocationsItems:
      type: object
      properties:
        id:
          type: string
          format: uuid
          description: Unique identifier for the job location
        location:
          $ref: >-
            #/components/schemas/AtsJobBoardsJobBoardIdJobPostingsGetResponsesContentApplicationJsonSchemaDataItemsJobJobLocationsItemsLocation
          description: Details for the location assigned to the job
      required:
        - id
        - location
      title: >-
        AtsJobBoardsJobBoardIdJobPostingsGetResponsesContentApplicationJsonSchemaDataItemsJobJobLocationsItems
    AtsJobBoardsJobBoardIdJobPostingsGetResponsesContentApplicationJsonSchemaDataItemsJobJobDepartmentsItemsDepartment:
      type: object
      properties:
        id:
          type: string
          format: uuid
          description: Unique identifier for the department
        name:
          type: string
          description: Department name
      description: Details for the department associated with the job
      title: >-
        AtsJobBoardsJobBoardIdJobPostingsGetResponsesContentApplicationJsonSchemaDataItemsJobJobDepartmentsItemsDepartment
    AtsJobBoardsJobBoardIdJobPostingsGetResponsesContentApplicationJsonSchemaDataItemsJobJobDepartmentsItems:
      type: object
      properties:
        id:
          type: string
          format: uuid
          description: Unique identifier for the job department
        department:
          oneOf:
            - $ref: >-
                #/components/schemas/AtsJobBoardsJobBoardIdJobPostingsGetResponsesContentApplicationJsonSchemaDataItemsJobJobDepartmentsItemsDepartment
            - type: 'null'
          description: Details for the department associated with the job
      required:
        - id
      title: >-
        AtsJobBoardsJobBoardIdJobPostingsGetResponsesContentApplicationJsonSchemaDataItemsJobJobDepartmentsItems
    AtsJobBoardsJobBoardIdJobPostingsGetResponsesContentApplicationJsonSchemaDataItemsJobJobEmploymentTypesItemsEmploymentType:
      type: object
      properties:
        id:
          type: string
          format: uuid
          description: Unique identifier for the employment type
        name:
          type: string
          description: Employment type name
      required:
        - id
        - name
      description: Details for the employment type assigned to the job
      title: >-
        AtsJobBoardsJobBoardIdJobPostingsGetResponsesContentApplicationJsonSchemaDataItemsJobJobEmploymentTypesItemsEmploymentType
    AtsJobBoardsJobBoardIdJobPostingsGetResponsesContentApplicationJsonSchemaDataItemsJobJobEmploymentTypesItems:
      type: object
      properties:
        id:
          type: string
          format: uuid
          description: Unique identifier for the job employment type
        employment_type:
          $ref: >-
            #/components/schemas/AtsJobBoardsJobBoardIdJobPostingsGetResponsesContentApplicationJsonSchemaDataItemsJobJobEmploymentTypesItemsEmploymentType
          description: Details for the employment type assigned to the job
      required:
        - id
        - employment_type
      title: >-
        AtsJobBoardsJobBoardIdJobPostingsGetResponsesContentApplicationJsonSchemaDataItemsJobJobEmploymentTypesItems
    AtsJobBoardsJobBoardIdJobPostingsGetResponsesContentApplicationJsonSchemaDataItemsJob:
      type: object
      properties:
        id:
          type: string
          format: uuid
          description: Unique identifier for the job
        job_teams:
          type:
            - array
            - 'null'
          items:
            $ref: >-
              #/components/schemas/AtsJobBoardsJobBoardIdJobPostingsGetResponsesContentApplicationJsonSchemaDataItemsJobJobTeamsItems
          description: Teams associated with the job
        compensation:
          oneOf:
            - $ref: >-
                #/components/schemas/AtsJobBoardsJobBoardIdJobPostingsGetResponsesContentApplicationJsonSchemaDataItemsJobCompensation
            - type: 'null'
          description: Compensation information for the job
        job_locations:
          type: array
          items:
            $ref: >-
              #/components/schemas/AtsJobBoardsJobBoardIdJobPostingsGetResponsesContentApplicationJsonSchemaDataItemsJobJobLocationsItems
          description: Locations associated with the job
        job_departments:
          type:
            - array
            - 'null'
          items:
            $ref: >-
              #/components/schemas/AtsJobBoardsJobBoardIdJobPostingsGetResponsesContentApplicationJsonSchemaDataItemsJobJobDepartmentsItems
          description: Departments associated with the job
        job_employment_types:
          type: array
          items:
            $ref: >-
              #/components/schemas/AtsJobBoardsJobBoardIdJobPostingsGetResponsesContentApplicationJsonSchemaDataItemsJobJobEmploymentTypesItems
          description: Employment types associated with the job
      required:
        - id
        - compensation
        - job_locations
        - job_employment_types
      description: Associated job information
      title: >-
        AtsJobBoardsJobBoardIdJobPostingsGetResponsesContentApplicationJsonSchemaDataItemsJob
    AtsJobBoardsJobBoardIdJobPostingsGetResponsesContentApplicationJsonSchemaDataItemsPublicationsItemsJobBoard:
      type: object
      properties:
        id:
          type: string
          format: uuid
          description: Unique identifier for the job board
      required:
        - id
      description: Job board where the posting is published
      title: >-
        AtsJobBoardsJobBoardIdJobPostingsGetResponsesContentApplicationJsonSchemaDataItemsPublicationsItemsJobBoard
    AtsJobBoardsJobBoardIdJobPostingsGetResponsesContentApplicationJsonSchemaDataItemsPublicationsItemsCurrentStateStateSlug:
      type: string
      enum:
        - PUBLISHED_BASIC
        - PUBLISHED_PREMIUM
        - UNPUBLISHED
        - EXPIRED
        - IN_PROGRESS
        - FAILED
      description: Current publication state
      title: >-
        AtsJobBoardsJobBoardIdJobPostingsGetResponsesContentApplicationJsonSchemaDataItemsPublicationsItemsCurrentStateStateSlug
    AtsJobBoardsJobBoardIdJobPostingsGetResponsesContentApplicationJsonSchemaDataItemsPublicationsItemsCurrentState:
      type: object
      properties:
        id:
          type: string
          format: uuid
          description: Unique identifier for the publication state
        created_at:
          type: string
          format: date-time
          description: Timestamp when the publication was created
        created_by:
          type:
            - string
            - 'null'
          format: uuid
          description: User who created the publication
        state_slug:
          $ref: >-
            #/components/schemas/AtsJobBoardsJobBoardIdJobPostingsGetResponsesContentApplicationJsonSchemaDataItemsPublicationsItemsCurrentStateStateSlug
          description: Current publication state
        error_message:
          type:
            - string
            - 'null'
          description: Error message if publication failed
      required:
        - id
        - created_at
        - state_slug
      description: Current publication state details
      title: >-
        AtsJobBoardsJobBoardIdJobPostingsGetResponsesContentApplicationJsonSchemaDataItemsPublicationsItemsCurrentState
    AtsJobBoardsJobBoardIdJobPostingsGetResponsesContentApplicationJsonSchemaDataItemsPublicationsItems:
      type: object
      properties:
        id:
          type: string
          format: uuid
          description: Unique identifier for the job posting publication
        job_board:
          $ref: >-
            #/components/schemas/AtsJobBoardsJobBoardIdJobPostingsGetResponsesContentApplicationJsonSchemaDataItemsPublicationsItemsJobBoard
          description: Job board where the posting is published
        current_state:
          $ref: >-
            #/components/schemas/AtsJobBoardsJobBoardIdJobPostingsGetResponsesContentApplicationJsonSchemaDataItemsPublicationsItemsCurrentState
          description: Current publication state details
      required:
        - id
        - job_board
        - current_state
      title: >-
        AtsJobBoardsJobBoardIdJobPostingsGetResponsesContentApplicationJsonSchemaDataItemsPublicationsItems
    AtsJobBoardsJobBoardIdJobPostingsGetResponsesContentApplicationJsonSchemaDataItemsApplicationForm:
      type: object
      properties:
        id:
          type: string
          format: uuid
          description: Unique identifier for the application form
        title:
          type: string
          description: Title of the application form
      required:
        - id
        - title
      description: Application form assigned to the job posting
      title: >-
        AtsJobBoardsJobBoardIdJobPostingsGetResponsesContentApplicationJsonSchemaDataItemsApplicationForm
    AtsJobBoardsJobBoardIdJobPostingsGetResponsesContentApplicationJsonSchemaDataItems:
      type: object
      properties:
        id:
          type: string
          format: uuid
          description: Unique identifier for the job posting
        job:
          $ref: >-
            #/components/schemas/AtsJobBoardsJobBoardIdJobPostingsGetResponsesContentApplicationJsonSchemaDataItemsJob
          description: Associated job information
        title:
          type: string
          description: Job posting title
        created_at:
          type: string
          format: date-time
          description: Creation timestamp
        updated_at:
          type: string
          format: date-time
          description: Last update timestamp
        publications:
          type: array
          items:
            $ref: >-
              #/components/schemas/AtsJobBoardsJobBoardIdJobPostingsGetResponsesContentApplicationJsonSchemaDataItemsPublicationsItems
          description: Publication information for different job boards
        application_form:
          oneOf:
            - $ref: >-
                #/components/schemas/AtsJobBoardsJobBoardIdJobPostingsGetResponsesContentApplicationJsonSchemaDataItemsApplicationForm
            - type: 'null'
          description: Application form assigned to the job posting
        richtext_description:
          type:
            - string
            - 'null'
          description: Rich text description of the job posting
        is_compensation_visible:
          type: boolean
          description: Indicates if compensation details are visible to candidates
      required:
        - id
        - job
        - title
        - created_at
        - updated_at
        - publications
        - richtext_description
        - is_compensation_visible
      title: >-
        AtsJobBoardsJobBoardIdJobPostingsGetResponsesContentApplicationJsonSchemaDataItems
    ATS_retrieveAListOfAtsJobPostings_Response_200:
      type: object
      properties:
        data:
          type: array
          items:
            $ref: >-
              #/components/schemas/AtsJobBoardsJobBoardIdJobPostingsGetResponsesContentApplicationJsonSchemaDataItems
        has_more:
          type: boolean
          description: Indicates if there are more results available
        next_cursor:
          type:
            - string
            - 'null'
          description: Cursor for the next page of results
        total_count:
          type: integer
          description: Total number of job postings
      title: ATS_retrieveAListOfAtsJobPostings_Response_200
    AtsJobBoardsJobBoardIdJobPostingsGetResponsesContentApplicationJsonSchemaItems:
      type: object
      properties:
        code:
          type: string
          description: Machine-readable error code
        message:
          type: string
          description: A description of the returned error
      title: >-
        AtsJobBoardsJobBoardIdJobPostingsGetResponsesContentApplicationJsonSchemaItems
    ApiErrorRequest:
      type: object
      properties:
        method:
          type: string
          description: The HTTP method of the failed request
        url:
          type: string
          description: The relative URL of the failed request
        status:
          type: number
          format: double
          description: The status code of the response
        api_req_id:
          type: string
          description: The request ID of the failed request
        docs:
          type: string
          description: >-
            A link to the official documentation for the requested endpoint
            resource
        source:
          type: string
          description: The source handler which produced the returned error
        code:
          type: number
          format: double
          description: The code of the source handler which produced the returned error
      title: ApiErrorRequest
    ApiError:
      type: object
      properties:
        message:
          type: string
          description: A description of the returned error
        path:
          type: string
          description: The JSON path where input validation failed
      title: ApiError
    ApiErrorContainer:
      type: object
      properties:
        request:
          $ref: '#/components/schemas/ApiErrorRequest'
        errors:
          type: array
          items:
            $ref: '#/components/schemas/ApiError'
      title: ApiErrorContainer
  securitySchemes:
    deelToken:
      type: http
      scheme: bearer
      description: >
        ## Authentication

        The Deel API uses bearer tokens to authenticate requests. All API calls
        must be made over HTTPS — calls over plain HTTP or without
        authentication will fail.


        ```curl

        curl -X GET 'https://api.letsdeel.com/rest/v2/contracts' \
          -H 'Authorization: Bearer YOUR-TOKEN-HERE'
        ```


        [Learn more about authentication](/api/authentication)
    oauth2:
      type: http
      scheme: bearer
      description: >-
        Standard OAuth2 security scheme based on
        https://swagger.io/docs/specification/authentication/

```

## SDK Code Examples

```python
import requests

url = "https://api.letsdeel.com/rest/v2/ats/job-boards/95858e6b-3971-408c-97d6-73ca4fce10b7/job-postings"

querystring = {"cursor":"cursor_value","limit":"50"}

headers = {"Authorization": "Bearer <token>"}

response = requests.get(url, headers=headers, params=querystring)

print(response.json())
```

```javascript
const url = 'https://api.letsdeel.com/rest/v2/ats/job-boards/95858e6b-3971-408c-97d6-73ca4fce10b7/job-postings?cursor=cursor_value&limit=50';
const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};

try {
  const response = await fetch(url, options);
  const data = await response.json();
  console.log(data);
} catch (error) {
  console.error(error);
}
```

```go
package main

import (
	"fmt"
	"net/http"
	"io"
)

func main() {

	url := "https://api.letsdeel.com/rest/v2/ats/job-boards/95858e6b-3971-408c-97d6-73ca4fce10b7/job-postings?cursor=cursor_value&limit=50"

	req, _ := http.NewRequest("GET", url, nil)

	req.Header.Add("Authorization", "Bearer <token>")

	res, _ := http.DefaultClient.Do(req)

	defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

	fmt.Println(res)
	fmt.Println(string(body))

}
```

```ruby
require 'uri'
require 'net/http'

url = URI("https://api.letsdeel.com/rest/v2/ats/job-boards/95858e6b-3971-408c-97d6-73ca4fce10b7/job-postings?cursor=cursor_value&limit=50")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'

response = http.request(request)
puts response.read_body
```

```java
import com.mashape.unirest.http.HttpResponse;
import com.mashape.unirest.http.Unirest;

HttpResponse<String> response = Unirest.get("https://api.letsdeel.com/rest/v2/ats/job-boards/95858e6b-3971-408c-97d6-73ca4fce10b7/job-postings?cursor=cursor_value&limit=50")
  .header("Authorization", "Bearer <token>")
  .asString();
```

```php
<?php
require_once('vendor/autoload.php');

$client = new \GuzzleHttp\Client();

$response = $client->request('GET', 'https://api.letsdeel.com/rest/v2/ats/job-boards/95858e6b-3971-408c-97d6-73ca4fce10b7/job-postings?cursor=cursor_value&limit=50', [
  'headers' => [
    'Authorization' => 'Bearer <token>',
  ],
]);

echo $response->getBody();
```

```csharp
using RestSharp;

var client = new RestClient("https://api.letsdeel.com/rest/v2/ats/job-boards/95858e6b-3971-408c-97d6-73ca4fce10b7/job-postings?cursor=cursor_value&limit=50");
var request = new RestRequest(Method.GET);
request.AddHeader("Authorization", "Bearer <token>");
IRestResponse response = client.Execute(request);
```

```swift
import Foundation

let headers = ["Authorization": "Bearer <token>"]

let request = NSMutableURLRequest(url: NSURL(string: "https://api.letsdeel.com/rest/v2/ats/job-boards/95858e6b-3971-408c-97d6-73ca4fce10b7/job-postings?cursor=cursor_value&limit=50")! as URL,
                                        cachePolicy: .useProtocolCachePolicy,
                                    timeoutInterval: 10.0)
request.httpMethod = "GET"
request.allHTTPHeaderFields = headers

let session = URLSession.shared
let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in
  if (error != nil) {
    print(error as Any)
  } else {
    let httpResponse = response as? HTTPURLResponse
    print(httpResponse)
  }
})

dataTask.resume()
```